$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.85.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.85.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '28D63F407B2EC6030FB156BABA03B505DA026E85B7AC182D2A7DD42D1DDE5787'
  checksumType = 'sha256'
  checksum64 = '28D63F407B2EC6030FB156BABA03B505DA026E85B7AC182D2A7DD42D1DDE5787'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.85-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
